cabal-install should default to --user-install when running as non-root #66

Closed
bos opened this Issue May 24, 2012 · 2 comments

Projects

None yet

2 participants

@bos
Contributor
bos commented May 24, 2012

(Imported from Trac #59, reported by @syntaxpolice on 2006-01-24)

@SyntaxPolice SyntaxPolice was assigned May 24, 2012
@bos
Contributor
bos commented May 24, 2012

(Imported comment by @dcoutts on 2006-01-24)

cabal-install-0.4.0 uses user install by default. One has to specify --global to get a global install. The downside is that root also has to specify this to get a global install.

@bos
Contributor
bos commented May 24, 2012

(Imported comment by @dcoutts on 2007-10-26)

Closing. If people want global installs by default when running as root then open another bug.

@bos bos closed this May 24, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment